[LENOVO G50-30] Rfkill always reports wireless blocked

Bug #1397021 reported by niko1992 on 2014-11-27
66
This bug affects 14 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
linux-lts-utopic (Ubuntu)
Medium
Pilot6
Vivid
Undecided
Unassigned

Bug Description

[LENOVO G50-30] Rfkill always reports wireless blocked

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.16.0-25-generic 3.16.0-25.33~14.04.2
ProcVersionSignature: Ubuntu 3.16.0-25.33~14.04.2-generic 3.16.7
Uname: Linux 3.16.0-25-generic x86_64
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Nov 27 18:45:27 2014
InstallationDate: Installed on 2014-11-27 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
SourcePackage: linux-lts-utopic
UpgradeStatus: No upgrade log present (probably fresh install)

niko1992 (s-p-q-r1992) wrote :
Pilot6 (hanipouspilot) wrote :

It looks like same problem as with Lenovo Yoga 2.

Try this kernel image.
https://www.dropbox.com/sh/1irpmowvlwforgk/AAC-5TpdYwYBwuqmmpzBiVHJa?dl=0

Pilot6 (hanipouspilot) wrote :

Here is the patch against 3.16.0-26

niko1992 (s-p-q-r1992) wrote :

Patch working , everything is working fine!

niko1992 (s-p-q-r1992) wrote :

Wireless works. Thank you.

tags: added: patch
Pilot6 (hanipouspilot) wrote :

I will add some details, as launchpad does not pull information, if lts-utopic kernel is installed.
Bug was reported in Russian Ubuntu forum.

lspci -k | grep Net -A2

02:00.0 Network controller [0280]: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter [168c:0036] (rev 01)
   Subsystem: Lenovo Device [17aa:4026]
   Kernel driver in use: ath9k

rfkill list

0: ideapad_wlan: Wireless LAN
   Soft blocked: no
   Hard blocked: yes
1: ideapad_bluetooth: Bluetooth
   Soft blocked: no
   Hard blocked: yes
2: phy0: Wireless LAN
   Soft blocked: no
   Hard blocked: no
3: hci0: Bluetooth
   Soft blocked: no
   Hard blocked: no

After

sudo modprobe -r ideapad-laptop
sudo rfkill unblock all

wireless works.

dmidecode information

Manufacturer: LENOVO
   Product Name: 80G0
   Version: Lenovo G50-30
   Serial Number: PF0274MM
   UUID: 9B78A244-F6D7-11E3-8965-28D244A9F6F5
   Wake-up Type: Power Switch
   SKU Number: LENOVO_MT_80G0_BU_idea_FM_Lenovo G50-30
   Family: IDEAPAD

Joseph Salisbury (jsalisbury) wrote :

It looks like Dmitry already sent his patch upstream and cc'd to stable:
https://lkml.org/lkml/2014/11/27/611

Thanks, Dmitry!

Changed in linux-lts-utopic (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
tags: added: kernel-da-key utopic
m0rtal (alexander-nagorny) wrote :

I have same laptop, kernel 3.19.0-9-generic #9-Ubuntu SMP Wed Mar 11 17:50:03 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
This bug STILL affects me.
Please advice!

Pilot6 (hanipouspilot) wrote :

I fixed it in my kernel build. Maitainers of linux do not answer my emails.
You can use my build or write them too.

Pilot6 (hanipouspilot) wrote :

Since the patch is ignored upstream, I made a ppa with a patched ideapad-laptop module.

It can be installed by

sudo add-apt-repository ppa:hanipouspilot/ideapad-laptop
sudo apt-get update
sudo apt-get install ideapad-laptop-dkms

Note for 14.04 users:

The package is made for Ubuntu 14.04.2 with 3.16 kernel. It fepends on linux-generic-lts-utopic

Of anyone wants to use 3.19 kernel, install packet for vivid.
And remind me to update ppa, when 14.04.3 is released.

But I hope that someone from Canonical pushes the patch upstream.

almir (almir-abrarov) wrote :

this bug is reproduce on 15.04

Pilot6 (hanipouspilot) wrote :

I added packages for utopic and vivid to ppa.
So it can be used for Ubuntu versions 14.04 - 15.04.

Philippe Coval (rzr) wrote :

As promised in https://bugs.launchpad.net/ideapad-laptop/+bug/1450946

I rebased your patch on mine and forwarded upstream in :

http://thread.gmane.org/gmane.linux.drivers.platform.x86.devel/7047

Hope this help ...

I'll track it

Thank's a lot. People download my dkms module. It means that some
people are affected. I hop they will apply it before 15.10 reslease.

2015-05-29 16:23 GMT+03:00 Philippe Coval <email address hidden>:
> As promised in https://bugs.launchpad.net/ideapad-laptop/+bug/1450946
>
> I rebased your patch on mine and forwarded upstream in :
>
> http://thread.gmane.org/gmane.linux.drivers.platform.x86.devel/7047
>
> Hope this help ...
>
> I'll track it
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1397021
>
> Title:
> [LENOVO G50-30] Rfkill always reports wireless blocked
>
> Status in linux-lts-utopic package in Ubuntu:
> Triaged
>
> Bug description:
>
> [LENOVO G50-30] Rfkill always reports wireless blocked
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.16.0-25-generic 3.16.0-25.33~14.04.2
> ProcVersionSignature: Ubuntu 3.16.0-25.33~14.04.2-generic 3.16.7
> Uname: Linux 3.16.0-25-generic x86_64
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Thu Nov 27 18:45:27 2014
> InstallationDate: Installed on 2014-11-27 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
> SourcePackage: linux-lts-utopic
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1397021/+subscriptions

Philippe Coval (rzr) wrote :

At least it's there :

http://git.infradead.org/users/dvhart/linux-platform-drivers-x86.git/commit/e88046d5579c54e6f2bee879d16d029ba236503b

I suppose your patch was ignored because it did not smoothly apply to current HEAD or something else I prefer to ignore ;-)

Pilot6 (hanipouspilot) wrote :

Darren replied that he does not read mailing lists.:-) Patches should
be sent directly.
So he never saw my patch )))

2015-05-29 23:58 GMT+03:00 Philippe Coval <email address hidden>:
> At least it's there :
>
> http://git.infradead.org/users/dvhart/linux-platform-
> drivers-x86.git/commit/e88046d5579c54e6f2bee879d16d029ba236503b
>
> I suppose your patch was ignored because it did not smoothly apply to
> current HEAD or something else I prefer to ignore ;-)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1397021
>
> Title:
> [LENOVO G50-30] Rfkill always reports wireless blocked
>
> Status in linux-lts-utopic package in Ubuntu:
> Triaged
>
> Bug description:
>
> [LENOVO G50-30] Rfkill always reports wireless blocked
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.16.0-25-generic 3.16.0-25.33~14.04.2
> ProcVersionSignature: Ubuntu 3.16.0-25.33~14.04.2-generic 3.16.7
> Uname: Linux 3.16.0-25-generic x86_64
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Thu Nov 27 18:45:27 2014
> InstallationDate: Installed on 2014-11-27 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
> SourcePackage: linux-lts-utopic
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1397021/+subscriptions

Philippe Coval (rzr) wrote :

Ok it making sense by the way try ./scripts/get_maintainer.pl next time

Thank you for your efforts to maintain this downstream in ubuntu too...

Btw I am trying to get attention from ubuntu to fix their firmware/bios ...
This is offtopic here but let me share this url :

    https://forums.lenovo.com/t5/Linux-Discussion/How-to-report-bug-patches-and-fixes-on-lenovo-firmwares/td-p/2077106

See you online

Pilot6 (hanipouspilot) wrote :
Changed in linux-lts-utopic (Ubuntu):
assignee: nobody → Pilot6 (hanipouspilot)
status: Triaged → In Progress
Philippe Coval (rzr) wrote :

It's in 4.2.0-rc1

Btw lenovo answered at :

https://forums.lenovo.com/t5/Linux-Discussion/How-to-report-bug-patches-and-fixes-on-lenovo-firmwares/td-p/2077106

I plan to report fireware test suite reports, unless ubuntu or linux community have already established a cooperation path.

Luis Henriques (henrix) on 2015-07-28
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1397021

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Pilot6 (hanipouspilot) on 2015-07-28
Changed in linux-lts-utopic (Ubuntu):
status: In Progress → Invalid
Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
Brad Figg (brad-figg) on 2015-08-10
tags: added: verification-done-vivid
removed: verification-needed-vivid
Launchpad Janitor (janitor) wrote :
Download full text (16.0 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-46.62~14.04.1

---------------
linux-lts-utopic (3.16.0-46.62~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1483790
  * SAUCE: REBASE-FIXUP: debian/scripts/misc/getabis: fix abi directory

  [ Upstream Kernel Changes ]

  * Revert "Bluetooth: ath3k: Add support of 04ca:300d AR3012 device"

linux-lts-utopic (3.16.0-46.61~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1478986

  [ Brad Figg ]

  * SAUCE: REBASE-FIXUP: debian/rules.d/1-maintainer.mk: Need '~14.04.1' as
    part of the version when looking for the baseCommit for printchanges

  [ Upstream Kernel Changes ]

  * Revert "crypto: talitos - convert to use be16_add_cpu()"
    - LP: #1478852
  * storvsc: use cmd_size to allocate per-command data
    - LP: #1445195
  * storvsc: fix a bug in storvsc limits
    - LP: #1445195
  * Drivers: hv: vmbus: Support a vmbus API for efficiently sending page
    arrays
    - LP: #1445195
  * scsi: storvsc: Increase the ring buffer size
    - LP: #1445195
  * scsi: storvsc: Size the queue depth based on the ringbuffer size
    - LP: #1445195
  * scsi: storvsc: Always send on the selected outgoing channel
    - LP: #1445195
  * scsi: storvsc: Retrieve information about the capability of the target
    - LP: #1445195
  * scsi: storvsc: Don't assume that the scatterlist is not chained
    - LP: #1445195
  * scsi: storvsc: Set the tablesize based on the information given by the
    host
    - LP: #1445195
  * SUNRPC: TCP/UDP always close the old socket before reconnecting
    - LP: #1403152
  * ALSA: hda - Fix noisy outputs on Dell XPS13 (2015 model)
    - LP: #1468582
  * Fix kmalloc slab creation sequence
    - LP: #1475204
  * ARM: clk-imx6q: refine sata's parent
    - LP: #1478852
  * KVM: nSVM: Check for NRIPS support before updating control field
    - LP: #1478852
  * nfs: take extra reference to fl->fl_file when running a setlk
    - LP: #1478852
  * bridge: fix multicast router rlist endless loop
    - LP: #1478852
  * net: don't wait for order-3 page allocation
    - LP: #1478852
  * sctp: fix ASCONF list handling
    - LP: #1478852
  * bridge: fix br_stp_set_bridge_priority race conditions
    - LP: #1478852
  * packet: read num_members once in packet_rcv_fanout()
    - LP: #1478852
  * packet: avoid out of bounds read in round robin fanout
    - LP: #1478852
  * neigh: do not modify unlinked entries
    - LP: #1478852
  * tcp: Do not call tcp_fastopen_reset_cipher from interrupt context
    - LP: #1478852
  * net: phy: fix phy link up when limiting speed via device tree
    - LP: #1478852
  * sctp: Fix race between OOTB responce and route removal
    - LP: #1478852
  * x86/mce: Fix MCE severity messages
    - LP: #1478852
  * s5h1420: fix a buffer overflow when checking userspace params
    - LP: #1478852
  * cx24116: fix a buffer overflow when checking userspace params
    - LP: #1478852
  * af9013: Don't accept invalid bandwidth
    - LP: #1478852
  * cx24117: fix a buffer overflow when checking userspace params
    - LP: #1478852
  * spi: fix race freeing dummy_tx/rx before it is unmapped
    - LP: #...

Changed in linux-lts-utopic (Ubuntu):
status: Invalid → Fix Released
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (30.6 KiB)

This bug was fixed in the package linux - 3.19.0-26.28

---------------
linux (3.19.0-26.28) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1483630

  [ Upstream Kernel Changes ]

  * Revert "Bluetooth: ath3k: Add support of 04ca:300d AR3012 device"

linux (3.19.0-26.27) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1479055
  * [Config] updateconfigs for 3.19.8-ckt4 stable update

  [ Chris J Arges ]

  * [Config] Add MTD_POWERNV_FLASH and OPAL_PRD
    - LP: #1464560

  [ Mika Kuoppala ]

  * SAUCE: i915_bpo: drm/i915: Fix divide by zero on watermark update
    - LP: #1473175

  [ Tim Gardner ]

  * [Config] ACORN_PARTITION=n
    - LP: #1453117
  * [Config] Add i40e[vf] to d-i
    - LP: #1476393

  [ Timo Aaltonen ]

  * SAUCE: i915_bpo: Rebase to v4.2-rc3
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "mm/fault, drm/i915: Use pagefault_disabled()
    to check for disabled pagefaults"
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "drm: i915: Port to new backlight interface
    selection API"
    - LP: #1473175

  [ Upstream Kernel Changes ]

  * Revert "tools/vm: fix page-flags build"
    - LP: #1473547
  * Revert "ALSA: hda - Add mute-LED mode control to Thinkpad"
    - LP: #1473547
  * Revert "drm/radeon: adjust pll when audio is not enabled"
    - LP: #1473547
  * Revert "crypto: talitos - convert to use be16_add_cpu()"
    - LP: #1479048
  * module: Call module notifier on failure after complete_formation()
    - LP: #1473547
  * gpio: gpio-kempld: Fix get_direction return value
    - LP: #1473547
  * ARM: dts: imx27: only map 4 Kbyte for fec registers
    - LP: #1473547
  * ARM: 8356/1: mm: handle non-pmd-aligned end of RAM
    - LP: #1473547
  * x86/mce: Fix MCE severity messages
    - LP: #1473547
  * mac80211: don't use napi_gro_receive() outside NAPI context
    - LP: #1473547
  * iwlwifi: mvm: Free fw_status after use to avoid memory leak
    - LP: #1473547
  * iwlwifi: mvm: clean net-detect info if device was reset during suspend
    - LP: #1473547
  * drm/plane-helper: Adapt cursor hack to transitional helpers
    - LP: #1473547
  * ARM: dts: set display clock correctly for exynos4412-trats2
    - LP: #1473547
  * hwmon: (ntc_thermistor) Ensure iio channel is of type IIO_VOLTAGE
    - LP: #1473547
  * mfd: da9052: Fix broken regulator probe
    - LP: #1473547
  * ALSA: hda - Fix noise on AMD radeon 290x controller
    - LP: #1473547
  * lguest: fix out-by-one error in address checking.
    - LP: #1473547
  * xfs: xfs_attr_inactive leaves inconsistent attr fork state behind
    - LP: #1473547
  * xfs: xfs_iozero can return positive errno
    - LP: #1473547
  * fs, omfs: add NULL terminator in the end up the token list
    - LP: #1473547
  * omfs: fix sign confusion for bitmap loop counter
    - LP: #1473547
  * d_walk() might skip too much
    - LP: #1473547
  * dm: fix casting bug in dm_merge_bvec()
    - LP: #1473547
  * hwmon: (nct6775) Add missing sysfs attribute initialization
    - LP: #1473547
  * hwmon: (nct6683) Add missing sysfs attribute initialization
    - LP: #1473547
  * target/pscsi: Don't leak scsi_host if hba is VIRTUAL_HOST
    - LP: #1473547
  * net...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-7.7

---------------
linux (4.2.0-7.7) wily; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1490564
  * rebase to v4.2

  [ Wen Xiong ]

  * SAUCE: ipr: Byte swapping for device_id attribute in sysfs
    - LP: #1453892

  [ Upstream Kernel Changes ]

  * rebase to v4.2
    - LP: #1487345

 -- Tim Gardner <email address hidden> Wed, 26 Aug 2015 07:06:10 -0600

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
dennyhalim.com (mail2dny) wrote :

using linux=generic-lts-wily on ubuntu trusty, lenovo g40
but wifi still not working.

G40-30:~$ uname -a
Linux G40-30 4.2.0-18-lowlatency #22~14.04.1-Ubuntu SMP PREEMPT Fri Nov 6 23:15:27 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
G40-30:~$ rfkill list all
6: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
7: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
G40-30:~$ iwconfig
eth0 no wireless extensions.

lo no wireless extensions.

Pilot6 (hanipouspilot) wrote :

This is comletely a different issue. Your wireless is not blocked.

You probably need a wireless driver.

Shlomi (shlomomatichin) wrote :

This also happens on Lenovo Yoga 700. Relevent dmidecode lines to add to the drivers:

System Information
    Manufacturer: LENOVO
    Product Name: 80QD
    Version: Lenovo YOGA 700-14ISK

Wouldn't it make more sense for this list to be dynamic, to also include future machines?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers